plot.nem {nem} | R Documentation

## plot nested effect model

### Description

plot graph of nested effects model, the marginal likelihood distribution or the posterior position of the effected genes

### Usage

            ## S3 method for class 'nem':
            plot(x, what="graph", remove.singletons=FALSE, PDF=FALSE, filename="nemplot.pdf", thresh=0, transitiveReduction=FALSE, plot.probs=FALSE, SCC=TRUE, D=NULL, draw.lines=FALSE, palette="BlueRed",...)

### Arguments

`x` | nem object to plot
`what` | (i), "graph", (ii) "mLL" = likelihood distribution, (iii) "pos" = posterior position of effected genes
`remove.singletons` | remove unconnected nodes from the graph plot
`PDF` | output as PDF-file
`filename` | filename of PDF-file
`thresh` | if x has a real valued adjacency matrix (weight matrix), don't plot edges with |weight| <= thresh
`transitiveReduction` | plot a transitively reduced graph
`plot.probs` | plot edge weights/probabilities. If regulation directions have been inferred (see `infer.edge.type`), upregulated edges are drawn red and downregulated edges blue. Edges, were no clear direction could be inferred, are drawn in black.
`SCC` | plot the strongly connected components graph
`D` | Visualize the nested subset structure of the dataset via `plotEffects` along with the graph and show the linking of E-genes to S-genes in the dataset. Should only be used for small networks. Default: Just plot the graph
`draw.lines` | If the nested subset structure is shown, should additionally lines connecting S-genes and their associated E-genes be drawn? WARNING: For larger datasets than e.g. 5 S-genes this most probably does not work, because the nested subset structure picture then partially overlaps with the graph picture. Default: Do not draw these lines
`palette` | color palette to use: either 'BlueRed' (default) or 'Grey'
`...` | other arguments to be passed to the Rgraphviz plot function or to the graphics 'image' function.

### Value

none

### Author(s)

Florian Markowetz <URL: http://genomics.princeton.edu/~florian>, Holger Froehlich <URL: http://www.dkfz.de/mga2/people/froehlich>

### See Also

`nem`, `plotEffects`, `infer.edge.type`

[Package nem version 2.8.0 Index]